- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DRender
- QRenderAspect
- Qt 6.4.2 Reference Documentation

# QRenderAspect Class

class Qt3DRender::QRenderAspect

The QRenderAspect class. More...

Header: | #include <Qt3DRender/QRenderAspect>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Types

enum | SubmissionType { Automatic, Manual }

## Public Functions

| QRenderAspect(Qt3DRender::QRenderAspect::SubmissionType submissionType, QObject *parent = nullptr)
| QRenderAspect(QObject *parent = nullptr)

## Detailed Description

## Member Type Documentation

### enum QRenderAspect::SubmissionType

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QRenderAspect::Automatic` | `0` | The QRenderAspect takes care of submitting rendering commands to the GPU.
`Qt3DRender::QRenderAspect::Manual` | `1` | The user will take care of telling the QRenderAspect when is the appropriate time to submit the rendering commands to the GPU.

## Member Function Documentation

### QRenderAspect::QRenderAspect(Qt3DRender::QRenderAspect::SubmissionType submissionType, QObject *parent = nullptr)

The constructor creates a new QRenderAspect::QRenderAspect instance with the specified parent. The submissionType specifies whether the RenderAspect is in charge of performing the rendering submission or if the user will take care of it. parent

### QRenderAspect::QRenderAspect(QObject *parent = nullptr)

The constructor creates a new QRenderAspect::QRenderAspect instance with the specified parent. This constructor will set the submission type to Automatic. parent